import { ElementRef, OnInit } from '@angular/core';
import { ControlContainer, FormControl, FormControlDirective } from '@angular/forms';
import { NgConfigService } from '../../config/ng-config.service';
export declare class NgUploadComponent implements OnInit {
    private _controlContainer;
    private ngConfigService;
    formControlDirective: FormControlDirective;
    rootRef: ElementRef<HTMLInputElement>;
    icon: string;
    multiple: boolean;
    accept: string;
    formControl: FormControl;
    formControlName: string;
    label: string;
    disabled: boolean;
    set errors(errors: {
        [key: string]: string;
    } | null);
    _errors: {
        [key: string]: string;
    };
    _errorsKeys: string[];
    stateDragDrop: 'DRAGOVER' | 'DRAGLEAVE' | 'DROP';
    get control(): FormControl;
    constructor(_controlContainer: ControlContainer, ngConfigService: NgConfigService);
    handleDragOver(event: DragEvent): void;
    ngOnInit(): void;
    handleDrop(): void;
    handleOpenUpload(): void;
    handleChange: (_: any) => void;
    handleTouched: () => void;
    registerOnTouched: (fn: () => void) => () => void;
    setDisabledState: (isDisabled: boolean) => boolean;
    registerOnChange: (fn: (_: any) => void) => (_: any) => void;
    writeValue: (value: number | string) => void;
}
